# List statuses

> Retrieve the statuses a resource can have.
{/* generated:versioned-pages - edit _pm-authored, not this file */}

`GET /api/statuses`

Retrieves the collection of Status resources.

Returns every status, such as `ACTIVE`. Reference one by its IRI (for example `/api/statuses/ACTIVE`) in the `status` of the resources that carry one.

## Query parameters

| Name           | Type       | Required | Description                                                                                                                                                                                                                                                                          |
| -------------- | ---------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `properties[]` | `string[]` | -        | Allows you to reduce the response to contain only the properties you need. If your desired property is nested, you can address it using nested arrays. Example: properties[]={propertyName}&properties[]={anotherPropertyName}&properties[{nestedPropertyParent}][]={nestedProperty} |

## Response

**200** - Status collection

| Property     | Type       | Required | Description |
| ------------ | ---------- | -------- | ----------- |
| `search`     | `object`   | -        |             |
| `totalItems` | `integer`  | -        |             |
| `member`     | `Status[]` | Yes      |             |

## Examples

### Example request

```bash
curl -X GET 'https://<tenant>.product-management.flowkiwi.net/api/statuses' \
  -H 'Authorization: Bearer {access_token}' \
  -H 'Flowkiwi-Api-Version: unstable' \
  -H 'Accept: application/ld+json'
```

### Example response

```json
{
  "search": {
    "@type": "string",
    "mapping": [
      {
        "@type": "string",
        "property": "string",
        "required": true,
        "variable": "string"
      }
    ],
    "template": "string",
    "variableRepresentation": "string"
  },
  "totalItems": 0,
  "member": [
    {
      "@context": "string",
      "@id": "string",
      "@type": "Status",
      "description": "string",
      "details": "string"
    }
  ]
}
```
